From da8456a54a1c4b9c4f1068ca78055013ee49dacc Mon Sep 17 00:00:00 2001
From: Pengpeng Dong <dongpengpeng@uniontech.com>
Date: Mon, 7 Sep 2020 13:46:49 +0800
Subject: [PATCH] quartz: Fix crash when pVisible is NULL.

Signed-off-by: Pengpeng Dong <dongpengpeng@uniontech.com>
---
 dlls/quartz/window.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dlls/quartz/window.c b/dlls/quartz/window.c
index 07e042eccd..8f7f83ef9d 100644
--- a/dlls/quartz/window.c
+++ b/dlls/quartz/window.c
@@ -334,7 +334,8 @@ HRESULT WINAPI BaseControlWindowImpl_get_Visible(IVideoWindow *iface, LONG *visi
 
     TRACE("window %p, visible %p.\n", window, visible);
 
-    *visible = IsWindowVisible(window->hwnd) ? OATRUE : OAFALSE;
+    if(visible)
+        *visible = IsWindowVisible(window->hwnd) ? OATRUE : OAFALSE;
     return S_OK;
 }
 
-- 
2.20.1

